package com.dayou.service;
import com.dayou.entity.DyoaRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.enums.MainBusinessEnum;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 数据同步记录 服务类
 * </p>
 *
 * @author wucl
 * @since 2024-07-25
 */
public interface IDyoaRecordService extends IService<DyoaRecord> {

        Page<DyoaRecord> selectPage(Page page,DyoaRecord dyoaRecord);

        void insert(MainBusinessEnum businessEnum, Long mbsId, String dyoaId);

        void isExist(MainBusinessEnum businessEnum,String dyodId);
}

