package com.dayou.vo;

import com.dayou.entity.FinanceInvoice;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class FinanceInvoiceVo extends FinanceInvoice {

    /**
     * 业务类型
     */
    private String businessType;

    /**
     * 产品号
     */
    private String productionNo;

    /**
     * 产品类型
     */
    private String productionType;

    /**
     * 产品实收金额
     */
    private BigDecimal prodRealAmount;

    /**
     * 订单实收金额
     */
    private BigDecimal orderRealAmount;

    /**
     * 订单应收金额
     */
    private BigDecimal shouldAmount;

    /**
     * 标准收费
     */
    private BigDecimal standardAmount;



}
